Index: code/branches/core2/src/CMakeLists.txt
===================================================================
--- code/branches/core2/src/CMakeLists.txt	(revision 872)
+++ code/branches/core2/src/CMakeLists.txt	(revision 873)
@@ -4,6 +4,6 @@
 ADD_SUBDIRECTORY(util)
 ADD_SUBDIRECTORY(orxonox/core)
-ADD_SUBDIRECTORY(audio)
-ADD_SUBDIRECTORY(network)
+#ADD_SUBDIRECTORY(audio)
+#ADD_SUBDIRECTORY(network)
 #ADD_SUBDIRECTORY(loader)
 ADD_SUBDIRECTORY(orxonox)
Index: code/branches/core2/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/core2/src/orxonox/CMakeLists.txt	(revision 872)
+++ code/branches/core2/src/orxonox/CMakeLists.txt	(revision 873)
@@ -4,31 +4,31 @@
   Orxonox.cc
   objects/Tickable.cc
-  SpaceshipSteering.cc
-  hud/HUD.cc
+#  SpaceshipSteering.cc
+#  hud/HUD.cc
   particle/ParticleInterface.cc
   tools/BillboardSet.cc
-  tools/Light.cc
+#  tools/Light.cc
   tools/Mesh.cc
   tools/Timer.cc
   objects/Ambient.cc
-  objects/Camera.cc
+#  objects/Camera.cc
   objects/Explosion.cc
-  objects/Fighter.cc
+#  objects/Fighter.cc
   objects/Model.cc
-  objects/NPC.cc
+#  objects/NPC.cc
   objects/Projectile.cc
   objects/Skybox.cc
   objects/SpaceShip.cc
 #  objects/SpaceshipSteeringObject.cc
-#  objects/test1.cc
-#  objects/test2.cc
-#  objects/test3.cc
+  objects/test1.cc
+  objects/test2.cc
+  objects/test3.cc
   objects/WorldEntity.cc
-  objects/weapon/AmmunitionDump.cc
-  objects/weapon/BarrelGun.cc
-  objects/weapon/BaseWeapon.cc
-  objects/weapon/Bullet.cc
-  objects/weapon/BulletManager.cc
-  objects/weapon/WeaponStation.cc
+#  objects/weapon/AmmunitionDump.cc
+#  objects/weapon/BarrelGun.cc
+#  objects/weapon/BaseWeapon.cc
+#  objects/weapon/Bullet.cc
+#  objects/weapon/BulletManager.cc
+#  objects/weapon/WeaponStation.cc
 )
 
@@ -42,6 +42,6 @@
   util
   core
-  audio
-  network
+#  audio
+#  network
 #  loader
 )
Index: code/branches/core2/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/core2/src/orxonox/Orxonox.cc	(revision 872)
+++ code/branches/core2/src/orxonox/Orxonox.cc	(revision 873)
@@ -58,21 +58,21 @@
 // loader and audio
 //#include "loader/LevelLoader.h"
-#include "audio/AudioManager.h"
+//#include "audio/AudioManager.h"
 
 // network
-#include "network/Server.h"
-#include "network/Client.h"
-#include "network/NetworkFrameListener.h"
+//#include "network/Server.h"
+//#include "network/Client.h"
+//#include "network/NetworkFrameListener.h"
 
 // objects
 #include "objects/Tickable.h"
 #include "tools/Timer.h"
-#include "objects/NPC.h"
+//#include "objects/NPC.h"
 #include "core/ArgReader.h"
 #include "core/Factory.h"
 #include "core/Debug.h"
 #include "core/Loader.h"
-#include "hud/HUD.h"
-#include "objects/weapon/BulletManager.h"
+//#include "hud/HUD.h"
+//#include "objects/weapon/BulletManager.h"
 #include "GraphicsEngine.h"
 
@@ -85,20 +85,20 @@
   {
     public:
-      OrxListener(OIS::Keyboard *keyboard, audio::AudioManager*  auMan, gameMode mode)
+      OrxListener(OIS::Keyboard *keyboard/*, audio::AudioManager*  auMan*/, gameMode mode)
       {
         mKeyboard = keyboard;
         mode_=mode;
-        auMan_ = auMan;
+//        auMan_ = auMan;
       }
 
       bool frameStarted(const Ogre::FrameEvent& evt)
       {
-        auMan_->update();
-        updateAI();
-
-        if(mode_ == PRESENTATION)
-          server_g->tick(evt.timeSinceLastFrame);
-        else if(mode_ == CLIENT)
-          client_g->tick(evt.timeSinceLastFrame);
+//        auMan_->update();
+//        updateAI();
+
+//        if(mode_ == PRESENTATION)
+//          server_g->tick(evt.timeSinceLastFrame);
+//        else if(mode_ == CLIENT)
+//          client_g->tick(evt.timeSinceLastFrame);
 
         usleep(10);
@@ -107,5 +107,5 @@
         return !mKeyboard->isKeyDown(OIS::KC_ESCAPE);
       }
-
+/*
       void updateAI()
       {
@@ -115,9 +115,9 @@
         }
       }
-
+*/
     private:
       gameMode mode_;
       OIS::Keyboard *mKeyboard;
-      audio::AudioManager*  auMan_;
+//      audio::AudioManager*  auMan_;
   };
 
@@ -133,5 +133,5 @@
     this->dataPath_ = "";
 //    this->loader_ = 0;
-    this->auMan_ = 0;
+//    this->auMan_ = 0;
     this->singletonRef_ = 0;
     this->keyboard_ = 0;
@@ -214,8 +214,8 @@
       //ogre_->getRoot()->addFrameListener(new network::ServerFrameListener());
       //std::cout << "could not add framelistener" << std::endl;
-      server_g->open();
+//      server_g->open();
       break;
     case CLIENT:
-      client_g->establishConnection();
+//      client_g->establishConnection();
       break;
     case SERVER:
@@ -280,8 +280,8 @@
     createFrameListener();
     try{
-      server_g = new network::Server(); //!< add port and bindadress
-      server_g->open(); //!< open server and create listener thread
-      if(ogre_ && ogre_->getRoot())
-        ogre_->getRoot()->addFrameListener(new network::ServerFrameListener()); // adds a framelistener for the server
+//      server_g = new network::Server(); //!< add port and bindadress
+//      server_g->open(); //!< open server and create listener thread
+//      if(ogre_ && ogre_->getRoot())
+//        ogre_->getRoot()->addFrameListener(new network::ServerFrameListener()); // adds a framelistener for the server
       COUT(3) << "Info: network framelistener added" << std::endl;
     }
@@ -304,5 +304,5 @@
     ogre_->setConfigPath(path);
     ogre_->setup();
-    server_g = new network::Server(); // FIXME add some settings if wanted
+//    server_g = new network::Server(); // FIXME add some settings if wanted
     if(!ogre_->load()) die(/* unable to load */);
     // FIXME add network framelistener
@@ -314,10 +314,10 @@
     ogre_->setConfigPath(path);
     ogre_->setup();
-    if(serverIp_.compare("")==0)
-      client_g = new network::Client();
-    else
-      client_g = new network::Client(serverIp_, 55556);
+//    if(serverIp_.compare("")==0)
+//      client_g = new network::Client();
+//    else
+//      client_g = new network::Client(serverIp_, 55556);
     if(!ogre_->load()) die(/* unable to load */);
-    ogre_->getRoot()->addFrameListener(new network::ClientFrameListener());
+//    ogre_->getRoot()->addFrameListener(new network::ClientFrameListener());
   }
 
@@ -375,7 +375,7 @@
   {
 	// Init audio
-    auMan_ = new audio::AudioManager();
-
-    bulletMgr_ = new BulletManager();
+//    auMan_ = new audio::AudioManager();
+
+//    bulletMgr_ = new BulletManager();
 
     // load this file from config
@@ -385,10 +385,10 @@
     Loader::open(startlevel);
 
-    Ogre::Overlay* hudOverlay = Ogre::OverlayManager::getSingleton().getByName("Orxonox/HUD1.2");
-    HUD* orxonoxHud;
-    orxonoxHud = new HUD();
-    orxonoxHud->setEnergyValue(20);
-    orxonoxHud->setEnergyDistr(20,20,60);
-    hudOverlay->show();
+//    Ogre::Overlay* hudOverlay = Ogre::OverlayManager::getSingleton().getByName("Orxonox/HUD1.2");
+//    HUD* orxonoxHud;
+//    orxonoxHud = new HUD();
+//    orxonoxHud->setEnergyValue(20);
+//    orxonoxHud->setEnergyDistr(20,20,60);
+//    hudOverlay->show();
 
 	/*
@@ -461,5 +461,5 @@
 
     //if(mode_!=CLIENT) // FIXME just a hack ------- remove this in future
-      frameListener_ = new OrxListener(keyboard_, auMan_, mode_);
+      frameListener_ = new OrxListener(keyboard_/*, auMan_*/, mode_);
     ogre_->getRoot()->addFrameListener(frameListener_);
   }
Index: code/branches/core2/src/orxonox/Orxonox.h
===================================================================
--- code/branches/core2/src/orxonox/Orxonox.h	(revision 872)
+++ code/branches/core2/src/orxonox/Orxonox.h	(revision 873)
@@ -15,5 +15,5 @@
 #include "OrxonoxPrereqs.h"
 //#include "loader/LoaderPrereqs.h"
-#include "audio/AudioPrereqs.h"
+//#include "audio/AudioPrereqs.h"
 
 #include "GraphicsEngine.h"
@@ -41,8 +41,8 @@
       inline Ogre::SceneManager* getSceneManager()         { return ogre_->getSceneManager(); };
       inline GraphicsEngine* getOgrePointer()              { return ogre_; };
-      inline audio::AudioManager* getAudioManagerPointer() { return auMan_; };
+//      inline audio::AudioManager* getAudioManagerPointer() { return auMan_; };
       inline OIS::Keyboard* getKeyboard()                  { return this->keyboard_; }
       inline OIS::Mouse* getMouse()                        { return this->mouse_; }
-      inline BulletManager* getBulletMgr()                 { return this->bulletMgr_; }
+//      inline BulletManager* getBulletMgr()                 { return this->bulletMgr_; }
 
     private:
@@ -70,6 +70,6 @@
       std::string           dataPath_;      //!< path to data
 //      loader::LevelLoader*  loader_;        //!< level loader builds the scene
-      audio::AudioManager*  auMan_;         //!< audio manager
-      BulletManager*        bulletMgr_;     //!< Keeps track of the thrown bullets
+//      audio::AudioManager*  auMan_;         //!< audio manager
+//      BulletManager*        bulletMgr_;     //!< Keeps track of the thrown bullets
       static Orxonox*       singletonRef_;
       OIS::Keyboard*        keyboard_;