Index: /code/branches/network/src/network/ClientConnection.cc
===================================================================
--- /code/branches/network/src/network/ClientConnection.cc	(revision 888)
+++ /code/branches/network/src/network/ClientConnection.cc	(revision 889)
@@ -159,5 +159,5 @@
       case ENET_EVENT_TYPE_CONNECT:
       case ENET_EVENT_TYPE_RECEIVE:
-        //std::cout << "got packet" << std::endl;
+        COUT(5) << "receiver-Thread: got new packet" << std::endl;
         processData(&event);
         break;
@@ -215,5 +215,5 @@
 
   bool ClientConnection::processData(ENetEvent *event) {
-    //std::cout << "got packet, pushing to queue" << std::endl;
+    COUT(5) << "got packet, pushing to queue" << std::endl;
     // just add packet to the buffer
     // this can be extended with some preprocessing
Index: /code/branches/network/src/network/GameStateManager.cc
===================================================================
--- /code/branches/network/src/network/GameStateManager.cc	(revision 888)
+++ /code/branches/network/src/network/GameStateManager.cc	(revision 889)
@@ -67,5 +67,5 @@
   GameStateCompressed GameStateManager::popGameState(int clientID) {
     int gID = head_->findClient(clientID)->getGamestateID();
-    std::cout << "popgamestate: sending gstate id: " << id << "diffed from: " << gID << std::endl;
+    COUT(4) << "popgamestate: sending gstate id: " << id << "diffed from: " << gID << std::endl;
     if(gID!=GAMESTATEID_INITIAL){
       GameState *client = gameStateMap[gID];
@@ -100,9 +100,9 @@
     GameState *retval=new GameState; //return value
     retval->id=id++;
-    std::cout << "producing gamestate with id: " << retval->id << std::endl;
+    COUT(4) << "producing gamestate with id: " << retval->id << std::endl;
     // reserve a little memory and increase it later on
-    //COUT(2) << "mallocing" << std::endl;
+    COUT(5) << "mallocing" << std::endl;
     retval->data = (unsigned char*)malloc(memsize);
-    //COUT(2) << "malloced" << std::endl;
+    COUT(5) << "malloced" << std::endl;
 
     // offset of memory functions
@@ -113,5 +113,5 @@
       //get size of the synchronisable
       tempsize=it->getSize();
-      //std::cout << "size of temp gamestate: " << tempsize << std::endl;
+//       COUT(5) << "size of temp gamestate: " << tempsize << std::endl;
       //COUT(2) << "size of synchronisable: " << tempsize << std::endl;
       // add place for data and 3 ints (length,classid,objectid)
@@ -137,4 +137,5 @@
       offset+=tempsize+3*sizeof(int);
     }
+    COUT(5) << "Gamestate size: " << totalsize << std::endl;
     retval->size=totalsize;
     return retval;
@@ -188,5 +189,5 @@
 
   GameStateCompressed GameStateManager::compress_(GameState *a) {
-    //COUT(2) << "compressing gamestate" << std::endl;
+    COUT(5) << "compressing gamestate" << std::endl;
     int size = a->size;
     uLongf buffer = (uLongf)((a->size + 12)*1.01)+1;
@@ -206,7 +207,7 @@
     GameStateCompressed compressedGamestate;
     compressedGamestate.compsize = buffer;
-    //std::cout << "compressedGamestate.compsize = buffer; " << buffer << std::endl;
+//     std::cout << "compressedGamestate.compsize = buffer; " << buffer << std::endl;
     compressedGamestate.normsize = size;
-    //std::cout << "compressedGamestate.normsize = size; " << size << std::endl;
+//     std::cout << "compressedGamestate.normsize = size; " << size << std::endl;
     compressedGamestate.id = a->id;
     compressedGamestate.data = dest;
Index: /code/branches/network/src/network/PacketDecoder.cc
===================================================================
--- /code/branches/network/src/network/PacketDecoder.cc	(revision 888)
+++ /code/branches/network/src/network/PacketDecoder.cc	(revision 889)
@@ -54,6 +54,6 @@
     cout << "clientId: " << client << endl; //control cout, not important, just debugging info
     int id = (int)*packet->data; //the first 4 bytes are always the enet packet id
-    std::cout << "packet id: " << id << std::endl;
-    std::cout << "packet size inside packetdecoder: " << packet->dataLength << std::endl;
+    COUT(5) << "packet id: " << id << std::endl;
+//     COUT(5) << "packet size inside packetdecoder: " << packet->dataLength << std::endl;
     switch( id ) {
   case ACK:
@@ -93,5 +93,5 @@
 
 
-    std::cout << "got ack id: " << a->id << std::endl;
+    COUT(5) << "got ack id: " << a->id << std::endl;
     processAck( a, clientId ); //debug info
 
@@ -150,22 +150,22 @@
     //memcpy( (void*)&(currentState->id), (const void*)(data+sizeof( int )), sizeof( int ) );
     currentState->id = (int)*(data+sizeof(int));
-    std::cout << "id: " << currentState->id << std::endl;
+//     std::cout << "id: " << currentState->id << std::endl;
     //copy the size of the GameStateCompressed compressed data into the new GameStateCompressed struct, located at 3th
     //position of the data stream, data+2*sizeof( int )
-    memcpy( (void*)&(currentState->compsize), (const void*)(data+2*sizeof( int )), sizeof( int) );
+//     memcpy( (void*)&(currentState->compsize), (const void*)(data+2*sizeof( int )), sizeof( int) );
     //currentState->compsize = (int)*(data+2*sizeof(int));
-    std::cout << "compsize: " << currentState->compsize << std::endl;
+//     std::cout << "compsize: " << currentState->compsize << std::endl;
     //size of uncompressed data
     memcpy( (void*)&(currentState->normsize), (const void*)(data+3*sizeof( int )), sizeof( int ) );
     //currentState->normsize = (int)*(data+3*sizeof(int));
-    std::cout << "normsize. " << currentState->normsize << std::endl;
+//     std::cout << "normsize. " << currentState->normsize << std::endl;
     //since the packetgenerator was changed, due to a new parameter, change this function too
     memcpy( (void*)&(currentState->diffed), (const void*)(data+4*sizeof(int)), sizeof(bool));
     //currentState->diffed = (bool)*(data+4*sizeof(int));
-    std::cout << "diffed: " << currentState->diffed << std::endl;
+//     std::cout << "diffed: " << currentState->diffed << std::endl;
     //since data is not allocated, because it's just a pointer, allocate it with size of gamestatedatastream
     currentState->data = (unsigned char*)(malloc( currentState->compsize ));
     if(currentState->data==NULL)
-      std::cout << "memory leak" << std::endl;
+      COUT(2) << "Gamestatepacket-decoder: memory leak" << std::endl;
     //copy the GameStateCompressed data
     //std::cout << "packet size (enet): " << packet->dataLength << std::endl;
@@ -175,6 +175,4 @@
     //clean memory
     enet_packet_destroy( packet );
-    //run processGameStateCompressed
-    //TODO: not yet implemented!
     processGamestate(currentState);
   }
@@ -189,5 +187,5 @@
     void *data  = (void *)cid->message;
     memcpy(data, (const void*)(packet->data+3*sizeof(int)), cid->length);
-    std::cout << "classid: " << cid->clid << ", name: " << cid->message << std::endl;
+    COUT(4) << "classid: " << cid->clid << ", name: " << cid->message << std::endl;
     enet_packet_destroy( packet );
     processClassid(cid);
@@ -223,18 +221,18 @@
   void PacketDecoder::printAck( ack* data )
   {
-    cout << "data id: " << data->id << endl;
-    cout << "data:    " << data->a << endl;
+    COUT(5) << "data id: " << data->id << endl;
+    COUT(5) << "data:    " << data->a << endl;
   }
 
   void PacketDecoder::printMouse( mouse* data )
   {
-    cout << "data id: " << data->id << endl;
-    cout << "data:    " << data->x << " " << data->y << endl;
+    COUT(5) << "data id: " << data->id << endl;
+    COUT(5) << "data:    " << data->x << " " << data->y << endl;
   }
 
   void PacketDecoder::printKey( keyboard* data )
   {
-    cout << "data id: " << data->id << endl;
-    cout << "data:    " << (char)data->press << endl;
+    COUT(5) << "data id: " << data->id << endl;
+    COUT(5) << "data:    " << (char)data->press << endl;
   }
 
@@ -242,21 +240,21 @@
   {
     if(clientId!=CLIENTID_CLIENT)
-      cout << "client: " << clientId << endl;
-    cout << "data id: " << data->id << endl;
-    cout << "data:    " << data->message << endl;
+      COUT(5) << "client: " << clientId << endl;
+    COUT(5) << "data id: " << data->id << endl;
+    COUT(5) << "data:    " << data->message << endl;
   }
 
   void PacketDecoder::printGamestate( GameStateCompressed* data )
   {
-    cout << "id of GameStateCompressed:   " << data->id << endl;
-    cout << "size of GameStateCompressed: " << data->compsize << endl;
+    COUT(5) << "id of GameStateCompressed:   " << data->id << endl;
+    COUT(5) << "size of GameStateCompressed: " << data->compsize << endl;
   }
 
   void PacketDecoder::printClassid( classid *cid)
   {
-    cout << "id of classid:    " << cid->id << endl;
-    cout << "size of classid:  " << cid->length << endl;
-    cout << "ID of classid:    " << cid->clid <<endl;
-    cout << "data of classid:  " << cid->message <<endl;
+    COUT(5) << "id of classid:    " << cid->id << endl;
+    COUT(5) << "size of classid:  " << cid->length << endl;
+    COUT(5) << "ID of classid:    " << cid->clid <<endl;
+    COUT(5) << "data of classid:  " << cid->message <<endl;
   }
 
Index: /code/branches/network/src/orxonox/objects/SpaceShip.cc
===================================================================
--- /code/branches/network/src/orxonox/objects/SpaceShip.cc	(revision 888)
+++ /code/branches/network/src/orxonox/objects/SpaceShip.cc	(revision 889)
@@ -196,5 +196,5 @@
         SetConfigValue(bInvertYAxis_, false).description("Set this to true for joystick-like mouse behaviour (mouse up = ship down).");
         SetConfigValue(reloadTime_, 0.125).description("The reload time of the weapon in seconds");
-        //SetConfigValue(testvector_, Vector3()).description("asdfblah");
+        SetConfigValue(testvector_, Vector3()).description("asdfblah");
     }
 