Index: code/trunk/visual_studio/base_properties.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties.vsprops	(revision 886)
+++ code/trunk/visual_studio/base_properties.vsprops	(revision 890)
@@ -11,5 +11,5 @@
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK"
 		WarningLevel="3"
-		DisableSpecificWarnings="4267; 4244; 4251"
+		DisableSpecificWarnings="4267; 4244; 4251;4522"
 	/>
 	<Tool
Index: code/trunk/visual_studio/orxonox_vc8.sln
===================================================================
--- code/trunk/visual_studio/orxonox_vc8.sln	(revision 886)
+++ code/trunk/visual_studio/orxonox_vc8.sln	(revision 890)
@@ -18,4 +18,5 @@
 	ProjectSection(ProjectDependencies) = postProject
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
 	EndProjectSection
 EndProject
@@ -45,11 +46,18 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
+		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "util", "vc8\util.vcproj", "{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tixml", "vc8\tixml.vcproj", "{F101C2F0-1CB9-4A57-827B-6C399A99B28F}"
 	ProjectSection(WebsiteProperties) = preProject
 		Debug.AspNetCompiler.Debug = "True"
@@ -109,4 +117,12 @@
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.ActiveCfg = Release|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.Build.0 = Release|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.ActiveCfg = Debug|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.Build.0 = Debug|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.ActiveCfg = Release|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: code/trunk/visual_studio/tixml_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tixml_properties.vsprops	(revision 890)
+++ code/trunk/visual_studio/tixml_properties.vsprops	(revision 890)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="util_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="UTIL_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/util_properties.vsprops
===================================================================
--- code/trunk/visual_studio/util_properties.vsprops	(revision 886)
+++ code/trunk/visual_studio/util_properties.vsprops	(revision 890)
@@ -6,3 +6,11 @@
 	InheritedPropertySheets=".\directory_properties.vsprops"
 	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="UTIL_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CS).lib"
+	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/core.vcproj	(revision 886)
+++ code/trunk/visual_studio/vc8/core.vcproj	(revision 890)
@@ -281,4 +281,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\ClassTreeMask.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\ConfigValueContainer.cc"
 				>
@@ -293,4 +297,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Executor.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\Factory.cc"
 				>
@@ -301,5 +309,5 @@
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\IdentifierList.cc"
+				RelativePath="..\..\src\orxonox\core\IdentifierDistributor.cc"
 				>
 			</File>
@@ -309,4 +317,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Loader.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\MetaObjectList.cc"
 				>
@@ -322,4 +334,8 @@
 			<File
 				RelativePath="..\..\src\orxonox\core\SignalHandler.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\core\XMLPort.cc"
 				>
 			</File>
@@ -343,4 +359,12 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\ClassManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\core\ClassTreeMask.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\ConfigValueContainer.h"
 				>
@@ -367,13 +391,21 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Executor.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\Factory.h"
 				>
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Functor.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\Identifier.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\IdentifierList.h"
+				RelativePath="..\..\src\orxonox\core\IdentifierDistributor.h"
 				>
 			</File>
@@ -387,4 +419,12 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Level.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\core\Loader.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\MetaObjectList.h"
 				>
@@ -404,4 +444,8 @@
 			<File
 				RelativePath="..\..\src\orxonox\core\SignalHandler.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\core\XMLPort.h"
 				>
 			</File>
Index: code/trunk/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 886)
+++ code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 890)
@@ -572,4 +572,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\Tickable.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\WorldEntity.cc"
 					>
@@ -625,4 +629,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\tools\Mesh.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\tools\Timer.cc"
 					>
 				</File>
Index: code/trunk/visual_studio/vc8/tixml.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/tixml.vcproj	(revision 890)
+++ code/trunk/visual_studio/vc8/tixml.vcproj	(revision 890)
@@ -0,0 +1,288 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tixml"
+	ProjectGUID="{F101C2F0-1CB9-4A57-827B-6C399A99B28F}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE2|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\util\tinyxml\ticpp.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinystr.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinyxml.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinyxmlerror.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinyxmlparser.cc"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\util\tinyxml\ticpp.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\ticpprc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinystr.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinyxml.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\TinyXMLPrereqs.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/trunk/visual_studio/vc8/util.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/util.vcproj	(revision 886)
+++ code/trunk/visual_studio/vc8/util.vcproj	(revision 890)
@@ -18,5 +18,5 @@
 		<Configuration
 			Name="Debug|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
@@ -50,5 +50,5 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -56,4 +56,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -63,4 +66,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -70,5 +79,5 @@
 		<Configuration
 			Name="Release|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
@@ -103,5 +112,5 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -109,4 +118,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -116,4 +128,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -123,5 +141,5 @@
 		<Configuration
 			Name="Release_SSE|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
@@ -156,5 +174,5 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -162,4 +180,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -169,4 +190,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -176,5 +203,5 @@
 		<Configuration
 			Name="Release_SSE2|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
@@ -209,5 +236,5 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -215,4 +242,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -222,4 +252,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -237,31 +273,27 @@
 			>
 			<File
+				RelativePath="..\..\src\util\Math.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypeMath.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypePrimitive.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypeString.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\String.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\substring.cc"
 				>
 			</File>
-			<Filter
-				Name="tinyxml"
-				>
-				<File
-					RelativePath="..\..\src\util\tinyxml\ticpp.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinystr.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinyxml.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinyxmlerror.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinyxmlparser.cc"
-					>
-				</File>
-			</Filter>
 		</Filter>
 		<Filter
@@ -279,8 +311,28 @@
 			</File>
 			<File
+				RelativePath="..\..\src\util\MultiType.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypeMath.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypePrimitive.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypeString.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\Sleep.h"
 				>
 			</File>
 			<File
+				RelativePath="..\..\src\util\String.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\String2Number.h"
 				>
@@ -294,28 +346,12 @@
 				>
 			</File>
-			<Filter
-				Name="tinyxml"
-				>
-				<File
-					RelativePath="..\..\src\util\tinyxml\ticpp.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\ticpprc.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinystr.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinyxml.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\TinyXMLPrereqs.h"
-					>
-				</File>
-			</Filter>
+			<File
+				RelativePath="..\..\src\util\UtilPrereqs.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\XMLIncludes.h"
+				>
+			</File>
 		</Filter>
 	</Files>