Index: code/branches/input/visual_studio/vc8/core.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/core.vcproj	(revision 884)
+++ code/branches/input/visual_studio/vc8/core.vcproj	(revision 893)
@@ -281,4 +281,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\ClassTreeMask.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\ConfigValueContainer.cc"
 				>
@@ -293,4 +297,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Executor.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\Factory.cc"
 				>
@@ -301,5 +309,5 @@
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\IdentifierList.cc"
+				RelativePath="..\..\src\orxonox\core\IdentifierDistributor.cc"
 				>
 			</File>
@@ -309,4 +317,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Loader.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\MetaObjectList.cc"
 				>
@@ -322,4 +334,8 @@
 			<File
 				RelativePath="..\..\src\orxonox\core\SignalHandler.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\core\XMLPort.cc"
 				>
 			</File>
@@ -343,4 +359,12 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\ClassManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\core\ClassTreeMask.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\ConfigValueContainer.h"
 				>
@@ -367,13 +391,21 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Executor.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\Factory.h"
 				>
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Functor.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\Identifier.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\IdentifierList.h"
+				RelativePath="..\..\src\orxonox\core\IdentifierDistributor.h"
 				>
 			</File>
@@ -387,4 +419,12 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\core\Level.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\core\Loader.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\core\MetaObjectList.h"
 				>
@@ -404,4 +444,8 @@
 			<File
 				RelativePath="..\..\src\orxonox\core\SignalHandler.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\core\XMLPort.h"
 				>
 			</File>
Index: code/branches/input/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/orxonox.vcproj	(revision 884)
+++ code/branches/input/visual_studio/vc8/orxonox.vcproj	(revision 893)
@@ -572,4 +572,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\Tickable.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\WorldEntity.cc"
 					>
@@ -625,4 +629,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\tools\Mesh.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\tools\Timer.cc"
 					>
 				</File>
Index: code/branches/input/visual_studio/vc8/tixml.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/tixml.vcproj	(revision 893)
+++ code/branches/input/visual_studio/vc8/tixml.vcproj	(revision 893)
@@ -0,0 +1,288 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tixml"
+	ProjectGUID="{F101C2F0-1CB9-4A57-827B-6C399A99B28F}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release_SSE2|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\util_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\util\tinyxml\ticpp.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinystr.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinyxml.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinyxmlerror.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinyxmlparser.cc"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\util\tinyxml\ticpp.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\ticpprc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinystr.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\tinyxml.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tinyxml\TinyXMLPrereqs.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/branches/input/visual_studio/vc8/util.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/util.vcproj	(revision 884)
+++ code/branches/input/visual_studio/vc8/util.vcproj	(revision 893)
@@ -18,5 +18,5 @@
 		<Configuration
 			Name="Debug|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
@@ -50,5 +50,5 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -56,4 +56,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -63,4 +66,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -70,5 +79,5 @@
 		<Configuration
 			Name="Release|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
@@ -103,5 +112,5 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -109,4 +118,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -116,4 +128,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -123,5 +141,5 @@
 		<Configuration
 			Name="Release_SSE|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
@@ -156,5 +174,5 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -162,4 +180,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -169,4 +190,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -176,5 +203,5 @@
 		<Configuration
 			Name="Release_SSE2|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
@@ -209,5 +236,5 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
 			/>
 			<Tool
@@ -215,4 +242,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -222,4 +252,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -237,31 +273,27 @@
 			>
 			<File
+				RelativePath="..\..\src\util\Math.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypeMath.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypePrimitive.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypeString.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\String.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\substring.cc"
 				>
 			</File>
-			<Filter
-				Name="tinyxml"
-				>
-				<File
-					RelativePath="..\..\src\util\tinyxml\ticpp.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinystr.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinyxml.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinyxmlerror.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinyxmlparser.cc"
-					>
-				</File>
-			</Filter>
 		</Filter>
 		<Filter
@@ -279,8 +311,28 @@
 			</File>
 			<File
+				RelativePath="..\..\src\util\MultiType.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypeMath.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypePrimitive.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\MultiTypeString.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\Sleep.h"
 				>
 			</File>
 			<File
+				RelativePath="..\..\src\util\String.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\String2Number.h"
 				>
@@ -294,28 +346,12 @@
 				>
 			</File>
-			<Filter
-				Name="tinyxml"
-				>
-				<File
-					RelativePath="..\..\src\util\tinyxml\ticpp.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\ticpprc.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinystr.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\tinyxml.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\util\tinyxml\TinyXMLPrereqs.h"
-					>
-				</File>
-			</Filter>
+			<File
+				RelativePath="..\..\src\util\UtilPrereqs.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\XMLIncludes.h"
+				>
+			</File>
 		</Filter>
 	</Files>